> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a download URL for a comment attachment

> Returns a short-lived signed URL for downloading the attachment.



## OpenAPI

````yaml /api/specs/incident-management-api.json get /incident-management/v1/incidents/{id}/comments/{commentId}/attachments/{attachmentId}
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.377.0
  description: API Documentation for the Incident Management Service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /incident-management/v1/incidents/{id}/comments/{commentId}/attachments/{attachmentId}:
    get:
      tags:
        - Incidents
      summary: Get a download URL for a comment attachment
      description: Returns a short-lived signed URL for downloading the attachment.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - in: path
          name: commentId
          required: true
          schema:
            type: string
        - in: path
          name: attachmentId
          required: true
          schema:
            type: string
        - in: query
          name: networkId
          schema:
            type: string
      responses:
        '200':
          description: A signed download URL.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      url:
                        type: string
                      expiresAt:
                        type: string
                        format: date-time
                      filename:
                        type: string
                      contentType:
                        type: string
                      sizeBytes:
                        type: integer
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncidentBadRequestError'
        '401':
          description: Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncidentUnauthorizedError'
        '403':
          description: Insufficient scope. The body is a plain-text message, not JSON.
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Comment or attachment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncidentNotFoundError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncidentInternalServerError'
      security:
        - oauth2:
            - read:incident
components:
  schemas:
    IncidentBadRequestError:
      type: object
      description: The response body for a 400 request.
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          description: >-
            A stable machine-readable error code identifying the specific
            validation failure.
        message:
          type: string
      required:
        - type
        - code
        - message
    IncidentUnauthorizedError:
      type: object
      description: The response body for a 401 request (missing or invalid token).
      properties:
        message:
          type: string
      required:
        - message
    IncidentNotFoundError:
      type: object
      description: The response body for a 404 request.
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
        message:
          type: string
      required:
        - type
        - code
        - message
    IncidentInternalServerError:
      type: object
      description: The response body for a 500 request.
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        message:
          type: string
      required:
        - type
        - message
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks
            read:incident: Retrieve incidents and their sub-resources
            write:incident: Create, update, comment on, merge, split, and link incidents

````